/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAPARTSVIEWRUN_H
#define TAVIAPARTSVIEWRUN_H

#include <taviapartsview.h>
#include <kparts/browserrun.h>
#include <kservice.h>

/**
@author TAM(Teppei Tamra)
*/
class TaviaPartsView;

class TaviaPartsViewRun : public KParts::BrowserRun
{
Q_OBJECT
public:
    TaviaPartsViewRun(const KURL &url, const KParts::URLArgs &args,KService::Ptr serviceType, TaviaPartsView *pv, QWidget *window, bool removeReferrer, bool trustedSource, bool hideErrorDialog);

    ~TaviaPartsViewRun();

protected:
    TaviaPartsView * partView;
    KURL pURL;
    KParts::URLArgs pArgs;
    KService::Ptr serviceType;
    QString mimetype;
protected:
    virtual void foundMimeType(const QString &_type);
    virtual void scanFile();
    virtual void handleError (KIO::Job *job);
protected slots:
    void slotRedirection(KIO::Job *job, const KURL& toURL);
protected:
    void notFoundPartType(const QString &mimetype);
};

#endif
