/***************************************************************************
 *   Copyright (C) 2004 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "taviatabbuttonseparator.h"

TaviaTabButtonSeparator::TaviaTabButtonSeparator(TaviaTabBox *parent, const char *name)
 : QWidget(parent, name)
{
    tabbox = parent;
    setSize(5);
    config = new TaviaTabButtonConfig;
    config->bgColor = QColor(225,225,225);
    config->fgColor = QColor(100,100,100);
    config->activeColor = QColor(100,0,0);
    config->selectedColor = QColor(0,0,100);
    config->roundEdge = true;
    config->edgeR = 2;
    config->grad = 10;

    setMinimumSize(5,5);
    setPaletteBackgroundColor(config->bgColor);
    setPaletteForegroundColor(config->fgColor);
}


TaviaTabButtonSeparator::~TaviaTabButtonSeparator()
{
}




/*!
    \fn TaviaTabButtonSeparator::getSize()
 */
unsigned int TaviaTabButtonSeparator::getSize()
{
    return(size);
}


/*!
    \fn TaviaTabButtonSeparator::setSize(unsigned int s)
 */
void TaviaTabButtonSeparator::setSize(unsigned int s)
{
    if (s < 5) s = 5;
    size = s;
}
