/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAURCLISTITEM_H
#define TAVIAURCLISTITEM_H

#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <klocale.h>
#include <taviaurcobject.h>

/**
@author TAM(Teppei Tamra)
*/
class TaviaURCListItem : public QWidget
{
Q_OBJECT
public:
    TaviaURCListItem(TaviaURCObject *conn,QWidget *parent = 0, const char *name = 0);

    ~TaviaURCListItem();
    void setLabelText(const QString& text);
    void setIcon(const QString& icon);

protected:
    virtual void mousePressEvent(QMouseEvent *e);
    virtual void mouseReleaseEvent(QMouseEvent *e);
    virtual void mouseMoveEvent(QMouseEvent *e);

protected:
    TaviaURCObject *to;
    QPushButton *dcButton;
    QLabel *label;
    QLabel *icon;
    bool pressed;
    bool isHover;
signals:
    void dragStart(TaviaURCObject *to);
    void dcButtonClicked(TaviaURCObject *to);
protected slots:
    void hoverCheck();
    void dcButtonClicked();
};

#endif
