/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAURCMANAGER_H
#define TAVIAURCMANAGER_H

#include <qobject.h>
#include <qptrlist.h>
#include <qmap.h>
#include <kurl.h>
#include <kparts/browserextension.h>
#include "taviaurcobject.h"

/**
@author TAM(Teppei Tamra)
*/
class TaviaURCObject;
class TaviaURCManager : public QObject
{
Q_OBJECT
public:
    TaviaURCManager(QObject *parent = 0, const char *name = 0);

    ~TaviaURCManager();
    void addURC(TaviaURCObject *conn);
    void addConnection(TaviaURCObject *from,TaviaURCObject *to);
    void delURC(TaviaURCObject *conn);
    void delConnection(TaviaURCObject *from,TaviaURCObject *to);
    QPtrList<TaviaURCObject> getConnectionList(TaviaURCObject *o);
    QPtrList<TaviaURCObject> getURCObjectList();

protected:
    QMap<TaviaURCObject*,QPtrList<TaviaURCObject> > connection;
protected slots:
    void gate(const KURL &url,const KParts::URLArgs &args);
};

#endif
