/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAURCOBJECT_H
#define TAVIAURCOBJECT_H

#include <qobject.h>
#include <kurl.h>
#include <kparts/browserextension.h>
#include "taviaurcmanager.h"


/**
@author TAM(Teppei Tamra)
*/
class TaviaURCManager;
class TaviaURCObject : public QObject
{
Q_OBJECT
public:
    TaviaURCObject(QObject *parent = 0, const char *name = 0);
    TaviaURCObject(TaviaURCManager *m, QObject *parent, const char *name = 0);
    
    friend class TaviaURCManager;

    ~TaviaURCObject();
    void setURCManager(TaviaURCManager *manager);
    TaviaURCManager * getManager();
    const QString getId();
    const QString getURCName();
    const QString getURCIcon();
    void setURCIcon(const QString &icon);
    void setURCName(const QString &name);
protected:
    void init();
    QString id;
    QString urcName;
    QString urcIcon;
signals:
    void request(const KURL &url,const KParts::URLArgs &args);
    void openURL(const KURL &url,const KParts::URLArgs &args);
public slots:
    virtual void receive(const KURL &url,const KParts::URLArgs &args);
protected:
    TaviaURCManager * manager;
};

#endif
