/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAVIEW_H
#define TAVIAVIEW_H

#include <qwidget.h>
#include <qframe.h>
#include <qpixmap.h>
#include <kurl.h>
#include <kparts/browserextension.h>
#include <kxmlguiclient.h>


/**
@author TAM(Teppei Tamra)
*/
class TaviaView : public QWidget , public KXMLGUIClient
{
Q_OBJECT
public:
    TaviaView(QWidget * parent = 0, const char * name = 0, WFlags f = 0);

    ~TaviaView();
    virtual void init();
    virtual KXMLGUIClient * getGUIClient();
public slots:
    virtual void openURL(const KURL &url,const KParts::URLArgs &args);
    virtual void openURL(const KURL &url);
    virtual void openURLList(KURL::List urllist);
    virtual void activate();
    virtual void deactivate();
signals:
    void setViewCaption(const QString &caption);
    void setViewStatusText(const QString &text);
    void setViewIcon(const QPixmap &icon);
    void thumbnailReady(const QPixmap &pix);
    void closeView(TaviaView *v);
    void currentURL(const KURL &url);


};

#endif
